> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the latest ip details

> Get the complete and latest ip details



## OpenAPI

````yaml get /v1/hosts/{ip}
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/hosts/{ip}:
    get:
      tags:
        - Hosts
      summary: Get the latest ip details
      description: Get the complete and latest ip details
      parameters:
        - name: ip
          in: path
          description: get the ip
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/APIResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/ipservices.IPSummaryData'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '408':
          description: Request Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    APIResponse:
      type: object
      properties:
        data:
          type: object
        message:
          type: string
        pagination:
          type: object
        success:
          type: boolean
    ipservices.IPSummaryData:
      type: object
      properties:
        asn:
          $ref: '#/components/schemas/IPASN'
        asn_updated_at:
          type: string
        banner:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            $ref: '#/components/schemas/IPDomain'
        hostnames:
          type: array
          items:
            $ref: '#/components/schemas/IPHostname'
        ip:
          type: string
        is_ipv4:
          type: boolean
        is_ipv6:
          type: boolean
        is_vuln:
          type: boolean
        last_updated_at:
          type: string
        location:
          $ref: '#/components/schemas/IPLocation'
        location_updated_at:
          type: string
        scan_id:
          type: integer
        services:
          type: array
          items:
            $ref: '#/components/schemas/IPService'
        services_hash:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/IPTag'
        whois:
          $ref: '#/components/schemas/IPWhois'
        whois_updated_at:
          type: string
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
        success:
          type: boolean
    IPASN:
      type: object
      properties:
        country_code:
          type: string
        number:
          type: string
        organization:
          type: string
    IPDomain:
      type: object
      properties:
        country:
          type: string
        dns_servers:
          type: array
          items:
            type: string
        emails:
          type: array
          items:
            type: string
        last_updated_at:
          type: string
        name:
          type: string
        web_server:
          type: string
    IPHostname:
      type: object
      properties:
        last_updated_at:
          type: string
        name:
          type: string
    IPLocation:
      type: object
      properties:
        city:
          type: string
        continent:
          type: string
        coordinates:
          type: object
        country_code:
          type: string
        country_name:
          type: string
        geo_point:
          type: string
        locale_code:
          type: string
        network:
          type: string
        postal_code:
          type: string
    IPService:
      type: object
      properties:
        _meta:
          $ref: '#/components/schemas/IPServiceMeta'
        cve:
          type: array
          items:
            $ref: '#/components/schemas/IPCVE'
        extra_info:
          type: string
        last_updated_at:
          type: string
        modules:
          type: object
          additionalProperties: true
        name:
          type: string
        port:
          type: integer
        product:
          type: string
        protocol:
          type: string
        softwares:
          type: array
          items:
            $ref: '#/components/schemas/IPServiceSoftware'
        tunnel:
          type: string
        url:
          type: string
        version:
          type: string
    IPTag:
      type: object
      properties:
        last_updated_at:
          type: string
        name:
          type: string
        pretty_name:
          type: string
        value:
          type: boolean
    IPWhois:
      type: object
      properties:
        _encoding:
          $ref: '#/components/schemas/Encoding'
        descr:
          type: string
        network:
          type: string
        organization:
          type: string
        raw:
          type: string
    IPServiceMeta:
      type: object
      properties:
        category:
          type: string
        desc:
          type: string
        name:
          type: string
        tags:
          type: array
          items:
            type: string
    IPCVE:
      type: object
      properties:
        exploit:
          type: array
          items:
            $ref: '#/components/schemas/IPExploitDetails'
        id:
          type: string
        references:
          type: array
          items:
            type: string
        score:
          type: number
        services:
          type: array
          items:
            type: string
        severity:
          type: string
        summary:
          type: string
        vector_string:
          type: string
        weakness:
          type: string
    IPServiceSoftware:
      type: object
      properties:
        edition:
          type: object
        language:
          type: object
        part:
          type: object
        product:
          type: object
        update:
          type: object
        uri:
          type: string
        vendor:
          type: object
        version:
          type: object
    Encoding:
      type: object
      properties:
        raw:
          type: string
    IPExploitDetails:
      type: object
      properties:
        description:
          type: string
        file:
          type: string
        id:
          type: string
        platform:
          type: string
        type:
          type: string
        url:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````